## Get file headers by module

### cURL

```bash
curl --request GET \
  --url https://api.fabric.inc/v3/oms-exports/module-headers/{module} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

```python
import requests

url = "https://api.fabric.inc/v3/oms-exports/module-headers/{module}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://api.fabric.inc/v3/oms-exports/module-headers/{module}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**: Successful response
- **400**: Bad request
- **401**: Unauthorized request
- **500**: Internal server error

### Sample Response

#### Success Response
```json
{
  "exportsHeaders": [
    {
      "fileHeaders": [
        "orderNumber"
      ],
      "fileName": "appeasements"
    }
  ]
}
```

#### Error Responses
```json
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```

```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

### Authorization Headers
- **Authorization**: Required, follows the format: `Bearer <token>`
- **x-fabric-tenant-id**: Required, identifies the tenant making the request 
- **x-fabric-channel-id**: Required, identifies the sales channel
